Package net.shibboleth.idp.authn.config

# Enum Class LDAPAuthenticationFactoryBean.TrustType

java.lang.Object
java.lang.Enum<LDAPAuthenticationFactoryBean.TrustType>
net.shibboleth.idp.authn.config.LDAPAuthenticationFactoryBean.TrustType

All Implemented Interfaces:
  `Serializable`, `Comparable<LDAPAuthenticationFactoryBean.TrustType>`, `Constable`

Enclosing class:
  LDAPAuthenticationFactoryBean

public static enum LDAPAuthenticationFactoryBean.TrustType extends Enum<LDAPAuthenticationFactoryBean.TrustType>
Enum that defines LDAP trust configuration. Labels maps to values in ldap.properties.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CERTIFICATE`
Explicit certificate file trust.
`DISABLED`
Trust disabled for non-TLS.
`JVM`
JVM trust.
`KEYSTORE`
Explicit keystore file trust.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`label`
Label for this type.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`TrustType(String s)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static LDAPAuthenticationFactoryBean.TrustType`
`fromLabel(String s)`
Returns the enum matching the input label.
`String`
`label()`
Gets the enum string label.
`static LDAPAuthenticationFactoryBean.TrustType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LDAPAuthenticationFactoryBean.TrustType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### JVM

public static final LDAPAuthenticationFactoryBean.TrustType JVM
JVM trust.

### CERTIFICATE

public static final LDAPAuthenticationFactoryBean.TrustType CERTIFICATE
Explicit certificate file trust.

### KEYSTORE

public static final LDAPAuthenticationFactoryBean.TrustType KEYSTORE
Explicit keystore file trust.

### DISABLED

public static final LDAPAuthenticationFactoryBean.TrustType DISABLED
Trust disabled for non-TLS.

## Field Details

### label

@Nonnull @NotEmpty private final String label
Label for this type.

## Constructor Details

### TrustType

private TrustType(@Nonnull @NotEmpty String s)
Constructor.

Parameters:
  `s` - label for enum

## Method Details

### values

public static LDAPAuthenticationFactoryBean.TrustType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LDAPAuthenticationFactoryBean.TrustType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### label

@Nonnull @NotEmpty public String label()
Gets the enum string label.

Returns:
  string label

### fromLabel

@Nullable public static LDAPAuthenticationFactoryBean.TrustType fromLabel(@Nonnull @NotEmpty String s)
Returns the enum matching the input label.

Parameters:
  `s` - input label
Returns:
  matching enum or null